About publishing information

The Smart Publishing Wizard™ enables you to easily copy or "publish" files or folders to different locations. For example, you can copy individual .HTM files, groups of .HTM files, or an entire project to a corporate intranet, Internet site, your local hard drive, or a network. You can even use various methods to publish the files including FTP, HTTP, FrontPage Extensions (if you have Microsoft FrontPage installed), or your network protocol.

The publishing wizard is "smart" because it only publishes files that are newer and different than the last time the files were published. This saves valuable publishing time by not copying duplicate files to the destination folder. for more information see, Publishing files and folders.

Notes:

  • You may need to work with your network system administrator to determine the best method of publishing your files and to obtain access permissions.

  • You need to generate your project before publishing it. The generated files are saved in a subfolder.


Publishing files and folders

The Smart Publishing Wizard provides an easy way to publish files or folders to locations such as a corporate intranet, an Internet site, your local hard drive, or a network.

Note: You may need to work with your network system administrator to determine the best method of publishing your files and to obtain access permissions.

To publish files or folders:

  1. Open your project and generate.

  2. After you generate your project, click Publish from the Wizard Results dialog. This displays the Smart Publishing Wizard.

  3. In Source Location type in the path to the source files you want to publish or click Select File/Folder and browse to the files. If you want to include all subfolders within the source location, select Publish Subfolders.

  4. Click Next.

  5. Choose the server on which you want to publish your files. You can select one from the list, add a new server to the list, edit an existing server, or delete a server from the list. To sort the list, click on Server Name or URL.

Tip: As a shortcut, you can right-click on a listed server to edit or delete it.

  6. Select options from the Options list and click Next.

  7. The Smart Publishing Wizard displays the source location of the files and the location where the files are to be published so you can check to be sure the information is correct. If it is correct, click Finish. If you want to edit any information, click Back and make changes.

  8. When the Smart Publishing Wizard is finished it displays the results. You can click Print to print the list of all files published.

  9. When you are finished, click Close.


Smart Publishing Wizard - Destination dialog

Use the Smart Publishing Wizard-Select Destination dialog to specify a destination for files and folders you want to publish to a location such as a corporate intranet, Internet site, local hard drive, or network.

Server Name/URL list: Displays server names you have already manually added as locations for publishing files and folders. To sort the list, click on Server Name or URL.

New: Displays the New Destination dialog, which enables you to specify a new server location for publishing files or folders.

Edit: Displays the Edit Destination dialog, which enables you to edit the name and path of locations listed in the Server Name/URL list.

Delete: Removes the selected location from the Server Name/URL list.

Options:

  • Check for deleted files: Select this option if you want the Smart Publishing Wizard to check for files that have been deleted from the destination location. (By default, the Smart Publishing does not perform this check because it slows down the publishing process.)

  • Prompt before overwriting files: Select this option if you want the Smart Publishing Wizard to prompt you before overwriting any files.

  • Republish all: Select this option if you want the Smart Publishing Wizard to republish ALL files to the destination target, whether they are newer than existing files or not. (The Smart Publishing Wizard determines which files to update by comparing dates to look for the most recent file and by comparing files to check if they are different.)


Smart Publishing Wizard dialog

Use the Smart Publishing Wizard-Select Source dialog to select files and folders to publish to a specific location such as a corporate intranet, Internet site, hard drive, or network.

Note: You may need to work with your network system administrator to determine the best method of publishing your files and to obtain access permissions.

Source Location: Specifies the location of the source files you want to publish. Type in a path or click Select file/Folder to browse to a location.

Publish Subfolders: Select this option if you want to publish all subfolders within the file or folder selected in Source Location. Clear this option if you do not want to publish all subfolders.


Smart Publishing Wizard edit destination dialog

Select this option if you connect to the new destination through FTP. File Transfer Protocol (FTP) is a client-server protocol which allows a user on one computer to transfer files to and from another computer over a TCP/IP network. (A protocol is simply a set of formal rules describing how data is transmitted, especially across a network.) FTP was designed with security in mind and usually requires a password for access. FTP is generally thought of as a more efficient protocol than HTTP because it transfers large files quickly.

An FTP address would look something like this: FTP.xyzcompany.com.

Select this option if you have Microsoft FrontPage installed on your system and would like to publish files using FrontPage as your interface. In order to use FrontPage to upload files, the Microsoft FrontPage server extensions must be installed and customized.

A FrontPage address would look something like this: http://www.xyzcompany.com/MyWeb.

Select this option if you connect to the new destination through HTTP. Hypertext Transfer Protocol (HTTP) is the client-server TCP/IP protocol used on the World Wide Web for the exchange of documents. (A protocol is simply a set of formal rules describing how data is transmitted, especially across a network.)

An HTTP address would look something like this: http://www.xyzcompany.com/MyProject.

Select this option if you want to publish your files to a local or network drive.

A file system address to a local hard drive would look something like this: c:/myinternetfiles.

A file system address to a network hard drive would look something like this: f:/xyzcompany/internet.

Host Name: Specifies the name of the server on which you want to publish your files. You can also use an IP address.

User ID: Specifies the user ID that the Smart Publishing Wizard should use to connect to the chosen host. (Your network system administrator can provide you with a user ID.)

Password: Specifies the password for the user ID. (Your network system administrator can provide you with a password.)

Save Password: Saves the password so you do not need to enter it each time you publish your files. (Please note that saving the password enters the password into your registry. The password is not encrypted, so any user with access to the registry can view or modify it.)

Port: Specifies the exact port to use when connecting to the host. (Your network system administrator can provide you with the correct port number to use.)

Anonymous User: Select this option to publish your files as an anonymous user that does not require a password. If you need to supply a password or other information associated with being an "anonymous user" (e.g., an email address), leave this check box empty, enter "Anonymous" in the User ID field above, and add the other required information in the Password field above. (Your network system administrator can tell you if publishing files as an anonymous user is permitted and what process to use.)

Server Directory: Specifies the destination directory on the server. You can leave the forward slash to accept the default.

Host Name: Specifies the name of the server on which you want to publish your files.

Web Name: Specifies the name of an individual FrontPage Web on the server you selected in Host Name. (No initial slash is required for subwebs.)

Server Directory: Specifies the destination directory on the server. You can leave the forward slash to accept the default.

Host name: Specifies the name of the server on which you want to publish your files.

Server Directory: Specifies the destination directory on the server. You can leave the forward slash to accept the default.

Destination Path: Specifies the exact destination path to the location where you want to publish your files. Either type in the path or click the browse button and navigate to a location.

Smart Publishing Wizard - Edit Destination dialog

Use the Edit Destination dialog to edit a location you have already added to the Server Name/URL list in the Smart Publishing Wizard. You may need to work with your network system administrator to determine the best method of publishing your files and to obtain the necessary access permissions.

Note: You may need to work with your network system administrator to determine the best method of publishing your files and to obtain access permissions.

Descriptive name: Specifies the name of the Server/URL you want to add to the list. Each name must be unique.

Connection Protocols: Specifies the type of transfer protocol to use in order to reach the new destination.

  • FTP

  • FrontPage Enabled

  • HTTP

  • File System

Options: The options available are determined by the selection you made under Connection Protocols.

  • If you selected FTP as your connection protocol, you have these options:

  • If you selected FrontPage Enabled as your connection protocol, you have these options:

  • If you selected HTTP as your connection protocol, you have these options:

  • If you selected File System as your connection protocol, you have this option:


Smart Publishing Wizard new destination dialog

Select this option if you connect to the new destination through FTP. File Transfer Protocol (FTP) is a client-server protocol which allows a user on one computer to transfer files to and from another computer over a TCP/IP network. (A protocol is simply a set of formal rules describing how data is transmitted, especially across a network.) FTP was designed with security in mind and usually requires a password for access. FTP is generally thought of as a more efficient protocol than HTTP because it transfers large files quickly.

An FTP address would look something like this: FTP.xyzcompany.com.

Select this option if you have Microsoft FrontPage installed on your system and would like to publish files using FrontPage as your interface. In order to use FrontPage to upload files, the Microsoft FrontPage server extensions must be installed and customized.

A FrontPage address would look something like this: http://www.xyzcompany.com/MyWeb.

Select this option if you connect to the new destination through HTTP. Hypertext Transfer Protocol (HTTP) is the client-server TCP/IP protocol used on the World Wide Web for the exchange of documents. (A protocol is simply a set of formal rules describing how data is transmitted, especially across a network.)

An HTTP address would look something like this: http://www.xyzcompany.com/MyProject.

Select this option if you want to publish your files to a local or network drive.

A file system address to a local hard drive would look something like this: c:/myinternetfiles.

A file system address to a network hard drive would look something like this: f:/xyzcompany/internet.

Host Name: Specifies the name of the server on which you want to publish your files. You can also use an IP address.

User ID: Specifies the user ID that the Smart Publishing Wizard should use to connect to the chosen host. (Your network system administrator can provide you with a user ID.)

Password: Specifies the password for the user ID. (Your network system administrator can provide you with a password.)

Save Password: Saves the password so you do not need to enter it each time you publish your files. (Please note that saving the password enters the password into your registry. The password is not encrypted, so any user with access to the registry can view or modify it.)

Port: Specifies the exact port to use when connecting to the host. (Your network system administrator can provide you with the correct port number to use.)

Anonymous User: Select this option to publish your files as an anonymous user that does not require a password. If you need to supply a password or other information associated with being an "anonymous user" (e.g., an email address), leave this check box empty, enter "Anonymous" in the User ID field above, and add the other required information in the Password field above. (Your network system administrator can tell you if publishing files as an anonymous user is permitted and what process to use.)

Server Directory: Specifies the destination directory on the server. You can leave the forward slash to accept the default.

Host Name: Specifies the name of the server on which you want to publish your files.

Web Name: Specifies the name of an individual FrontPage Web on the server you selected in Host Name. (No initial slash is required for subwebs.)

Server Directory: Specifies the destination directory on the server. You can leave the forward slash to accept the default.

Host name: Specifies the name of the server on which you want to publish your files.

Server Directory: Specifies the destination directory on the server. You can leave the forward slash to accept the default.

Destination Path: Specifies the exact destination path to the location where you want to publish your files. Either type in the path or click the browse button and navigate to a location.

Smart Publishing Wizard - New Destination dialog

Use the New Destination dialog to add a location to the Smart Publishing Wizard. This enables you to select the destination from the Smart Publishing Wizard Server Name/URL list instead of having to type in the path every time you want to publish your files or folders.

Note: You may need to work with your network system administrator to determine the best method of publishing your files and to obtain access permissions.

Descriptive name: Specifies the name of the Server/URL you want to add to the list. Each name must be unique.

Connection Protocols: Specifies the type of transfer protocol to use in order to reach the new destination.

  • FTP

  • FrontPage Enabled

  • HTTP

  • File System

Options: The options available are determined by the selection you made under Connection Protocols.

  • If you selected FTP as your connection protocol, you have these options:

  • If you selected FrontPage Enabled as your connection protocol, you have these options:

  • If you selected HTTP as your connection protocol, you have these options:

  • If you selected File System as your connection protocol, you have this option:


Smart Publishing Wizard - Publish dialog

Use the Publish dialog to ensure that the files you specified are published to the correct location. The Wizard identifies the path to the files you are publishing and the location to which you want them published. If any information is incorrect, click Back and edit the source location or destination path.


Smart Publishing Wizard - Results dialog

The Results dialog displays after you publish files or folders using the Smart Publishing Wizard.

Statistics:

  • Total Files: Indicates the number of files or folders you specified to publish.

  • Files Published: Indicates the total number of files actually published.

  • Elapsed Time: Displays the amount of time it took to publish the files or folders.

Files Published: Displays the path and name of each file or folder published.

Print: Prints the list of files published.